%define lib_major 3
%define lib_name %mklibname %{name} %{lib_major}

Summary: The OpenJade Group's SGML and XML parsing tools
Name: OpenSP
Version: 1.5
Release: 1mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: BSD
Group: Publishing
Source: http://download.sourceforge.net/openjade/OpenSP-1.5.tar.bz2
URL: http://openjade.sourceforge.net/

%description
This package is a collection of SGML/XML tools called OpenSP. It is a fork from
James Clark's SP suite. These tools are used to parse, validate, and normalize
SGML and XML files.  
     
%package -n %{lib_name}
Summary: Runtime library for the OpenJade group's SP suite
Group: System/Libraries

%description -n %{lib_name}
This is the SP suite's shared library runtime support.  This C++
library contains entity management functions, parsing functions, and
other functions useful for SGML/XML/DSSSL development.

%package -n %{lib_name}-devel
Summary: Libraries and include files for developing OpenSP applications.
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-devel
Provides: %{name}-devel

%description -n %{lib_name}-devel
This contains include files and libraries for OpenSP.
This C++ library contains entity management functions, parsing functions,
and other functions useful for SGML/XML/DSSSL development.

%prep
%setup -q

%build
%configure2_5x
%make

%install

test "$RPM_BUILD_ROOT" = "/" || rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

%find_lang sp

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc  $RPM_BUILD_ROOT%{_docdir}/OpenSP

%clean
test "$RPM_BUILD_ROOT" = "/" || rm -rf "$RPM_BUILD_ROOT"

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f sp.lang
%defattr(-, root, root)
%doc doc/*.htm ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README releasenotes.*
%{_bindir}/*
%{_datadir}/OpenSP/*
%{_mandir}/man1/*


%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/OpenSP

%changelog
* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-1mdk
- Initial Mandrake package

